Subject: Re: RFC2518 ambiguity on creationdate/lastmodifieddate

From: "Jason Crawford" <[email-masked]>
Date: Mon, 15 Oct 2001 18:20:18 -0400

>
> if for some reason a server doesn't have one of these timestamps for a
> resource, what should it report on PROPFIND for these properties?
>
> a) Property not found (HTTP 404),
>
> b) Empty property (this seem to be backed by the wording in section 7.4
[1],
> but is reported as error by Adobe GoLive,
>
> c) Property silently suppressed (not reported at all) -- this seems to
work
> with GoLive.
>
> In addition, how should the server behaviour upon a PROPFIND/propname on
> this resource?

This seems like an easy issue to resolve.  Let's address it now.

My preference is that if it's a property name that was explicitly
requested, then it should be listed as Not Found.

If the PROPFIND doesn't list it explicitly, then it should simply not be
listed.

Comments?

J.